﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ExtreactTextPdfViewer
{
    public partial class MainPage : ContentPage
    {
        Stream stream;
        PdfUnitConvertor m_convertor = new PdfUnitConvertor();
        public MainPage()
        {
            InitializeComponent();
            stream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("ExtreactTextPdfViewer.Assets.GIS Succinctly.pdf");

            pdfViewerControl.LoadDocument(stream);
            pdfViewerControl.Tapped += PdfViewerControl_Tapped;
        }

        private void PdfViewerControl_Tapped(object sender, Syncfusion.SfPdfViewer.XForms.TouchInteractionEventArgs e)
        {
            PdfLoadedDocument m_loadedDocument = new PdfLoadedDocument(stream);

            TextLineCollection textLineCollection;
            // Extract the text from the desired page of the PDF document.          
            string m_extractedText = m_loadedDocument.Pages[pdfViewerControl.PageNumber-1].ExtractText(out textLineCollection);
         
            var temp = textLineCollection.TextLine.FindAll(x => (e.Position.Y >= m_convertor.ConvertToPixels((float)x.Bounds.Y, PdfGraphicsUnit.Point) && e.Position.Y <= ((m_convertor.ConvertToPixels((float)x.Bounds.Y, PdfGraphicsUnit.Point)) + (m_convertor.ConvertToPixels((float)x.Bounds.Height, PdfGraphicsUnit.Point)))));
            
        }
    }
}
